Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -2145,24 +2125,24 @@
 &                   'iso_surf>calcul_Rsol 3202')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) then 
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &                  'iso_surf>calcul_Rsol 467',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then    
-              if (qsol(i).gt.ridicule_qsol) then
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+              if (qsol(i).gt.ridicule_qsol) THEN
                  CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                   'iso_surf>calcul_Rsol 338')
-               endif !if (qsol(i).gt.ridicule_qsol) then
-           endif  !if (iso_HDO.gt.0) then 
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-             if (qsol(i).gt.ridicule_qsol) then
+               endif !if (qsol(i).gt.ridicule_qsol) THEN
+           endif  !if (iso_HDO.gt.0) THEN
+           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+             if (qsol(i).gt.ridicule_qsol) THEN
                CALL iso_verif_aberrant_o17(Rsol(iso_O17) &
 &                   ,Rsol(iso_O18),'iso_surf 480')
              endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-           endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then  
+           endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
           ! end verif
 
-     else !if (t1lay(i).ge.0.0) then   
+     else !if (t1lay(i).ge.0.0) THEN
           do ixt=1,niso
             Rsol(ixt)=zxtalphai(ixt)*xt1lay(ixt,i)/q1lay(i)  
@@ -2175,32 +2155,30 @@
 &                   'iso_surf>calcul_Rsol 3207')
             enddo !do ixt=1,niso    
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &                   'iso_surf>calcul_Rsol 335',errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then
-            if (iso_HDO.gt.0) then          
-              if (qsol(i).gt.ridicule_qsol) then
+            endif !if (iso_eau.gt.0) THEN
+            if (iso_HDO.gt.0) THEN
+              if (qsol(i).gt.ridicule_qsol) THEN
                 CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                   'iso_surf>calcul_Rsol 338')
-              endif !if (qsol(i).gt.ridicule_qsol) then
-            endif  !if (iso_HDO.gt.0) then 
-            if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-              if (qsol(i).gt.ridicule_qsol) then
+              endif !if (qsol(i).gt.ridicule_qsol) THEN
+            endif  !if (iso_HDO.gt.0) THEN
+            if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+              if (qsol(i).gt.ridicule_qsol) THEN
                 CALL iso_verif_aberrant_o17(Rsol(iso_O17) &
 &                    ,Rsol(iso_O18),'iso_surf 513')
               endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-            endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then  
+            endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
               ! end verif
-     endif !if (t1lay(i).ge.0.0) then   
-
- else !if (q1lay(i).gt.ridicule) then
-        write(*,*) 'warning: iso_surf>calcul_Rsol 3209'
-        write(*,*) 'qsol(i)=',qsol(i),' mais evap(i)=',evap(i)
-        write(*,*) 'q1lay(i)=',q1lay(i)
+     endif !if (t1lay(i).ge.0.0) THEN
+ else !if (q1lay(i).gt.ridicule) THEN
+        WRITE(*,*) 'warning: iso_surf>calcul_Rsol 3209'
+        WRITE(*,*) 'qsol(i)=',qsol(i),' mais evap(i)=',evap(i)
+        WRITE(*,*) 'q1lay(i)=',q1lay(i)
         CALL abort_physic('isotopes_routines_mod', 'iso_surf 2187', 1)
- endif !if (q1lay(i).gt.ridicule) then
-END IF !if (qsol(i).gt.ridicule_rain) then
-
+ endif !if (q1lay(i).gt.ridicule) THEN
+END IF !if (qsol(i).gt.ridicule_rain) THEN
 ! verif
 #ifdef ISOVERIF
@@ -2210,20 +2188,20 @@
  enddo !do ixt=1,niso
 
- if (iso_eau.gt.0) then
+ if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &          'iso_surf>calcul_Rsol 371',errmax,errmaxrel*10)
- endif !if (iso_eau.gt.0) then
- if (iso_HDO.gt.0) then        
-    if (qsol(i).gt.ridicule_qsol*1e2) then
+ endif !if (iso_eau.gt.0) THEN
+ if (iso_HDO.gt.0) THEN
+    if (qsol(i).gt.ridicule_qsol*1e2) THEN
         CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &          'iso_surf>calcul_Rsol 374')
-    endif !if (qsol(i).gt.ridicule_qsol) then
- endif  !if (iso_HDO.gt.0) then 
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-    if (qsol(i).gt.ridicule_qsol) then
+    endif !if (qsol(i).gt.ridicule_qsol) THEN
+ endif  !if (iso_HDO.gt.0) THEN
+ if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    if (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17(Rsol(iso_O17), &
 &           Rsol(iso_O18),'iso_surf 548')
     endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
- endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then  
+ endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
           ! end verif
@@ -2273,31 +2251,31 @@
 !#endif
 
-!      write(*,*) 'iso_surf>rosée 527: entrée dans rosée'
-IF (evap(i).eq.0.0) then
+!      WRITE(*,*) 'iso_surf>rosée 527: entrée dans rosée'
+IF (evap(i).eq.0.0) THEN
 #ifdef ISOVERIF          
-write(*,*) 'iso_surf>rosée 528: evap(i)=',evap(i)
+WRITE(*,*) 'iso_surf>rosée 528: evap(i)=',evap(i)
 #endif        
 DO ixt=1,niso
   xtevap(ixt,i)=0.0
 END DO
-return
+RETURN
 END IF
 
-IF (q1lay(i).gt.ridicule) then
+IF (q1lay(i).gt.ridicule) THEN
      ! verif de R1
 #ifdef ISOVERIF
-         if (iso_HDO.gt.0) then
+         if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant(xt1lay(iso_HDO,i)/q1lay(i), &
 &                  'iso_surf>rosée 530')
-         endif   !if (iso_HDO.gt.0) then
+         endif   !if (iso_HDO.gt.0) THEN
 #endif
      ! end verif R1   
 
 !             qevap=-evap(i)*dtime/Mair ! en kg d'eau par kg d'air
-!             write(*,*) 'iso_surf>rosé 554: qevap=',qevap
-!             write(*,*) 'evap(i),dtime,Mair,q1lay(i)=',
+!             WRITE(*,*) 'iso_surf>rosé 554: qevap=',qevap
+!             WRITE(*,*) 'evap(i),dtime,Mair,q1lay(i)=',
 !     :                   evap(i),dtime,Mair,q1lay(i)            
-  if (tsurf(i).ge.t_coup) then
-    !write(*,*) 'iso_surf>iso_rosee_givre 3181: tsurf(i)=',tsurf(i)
+  if (tsurf(i).ge.t_coup) THEN
+    !WRITE(*,*) 'iso_surf>iso_rosee_givre 3181: tsurf(i)=',tsurf(i)
     do ixt=1,niso
        ! methode 1: condensation à l'équilibre, approx 1er ordre
@@ -2309,8 +2287,8 @@
 !     :           qevap,tsurf(i),0.0,zxtice,zxtliq)    
 !               xtevap(ixt,i)=-zxtliq/dtime*Mair       
-!                write(*,*) 'iso_surf>rosée 545: qevap=', qevap
-!                write(*,*) 'q1lay(i)=',q1lay(i)
-!                write(*,*) 'zxtice=',zxtice
-!                write(*,*) 'zxtliq=',zxtliq               
+!                WRITE(*,*) 'iso_surf>rosée 545: qevap=', qevap
+!                WRITE(*,*) 'q1lay(i)=',q1lay(i)
+!                WRITE(*,*) 'zxtice=',zxtice
+!                WRITE(*,*) 'zxtliq=',zxtliq
         
     enddo !do ixt=1,niso
@@ -2327,10 +2305,10 @@
         CALL iso_verif_noNAN(xtevap(ixt,i),'iso_surf>rosée 557')
       enddo !do ixt=1,niso  
-      if (iso_HDO.gt.0) then            
-!                write(*,*) 'iso_surf>rosée 554: deltaD1=',
+      if (iso_HDO.gt.0) THEN
+!                WRITE(*,*) 'iso_surf>rosée 554: deltaD1=',
 !     :                   deltaD(xt1lay(iso_HDO,i)/q1lay(i))
-!                write(*,*) 'deltaDcond=',
+!                WRITE(*,*) 'deltaDcond=',
 !     :                   deltaD(xtevap(iso_HDO,i)/evap(i))
-      endif ! if (iso_HDO.gt.0)) then 
+      endif ! if (iso_HDO.gt.0)) THEN
 #ifdef ISOTRAC
       CALL iso_verif_tracnps(xtevap(1,i), &
@@ -2339,6 +2317,6 @@
 #endif
       
-  else !if (tsurf(i).ge.t_coup) then
-    !write(*,*) 'iso_surf>iso_rosee_givre 3186: tsurf(i)=',tsurf(i)
+  else !if (tsurf(i).ge.t_coup) THEN
+    !WRITE(*,*) 'iso_surf>iso_rosee_givre 3186: tsurf(i)=',tsurf(i)
     do ixt=1,niso
     ! methode 1: condensation à l'équilibre, approx 1er ordre
@@ -2350,8 +2328,8 @@
 !     :           qevap,tsurf(i),1.0,zxtice,zxtliq)           
 !                xtevap(ixt,i)=-zxtice/dtime*Mair
-!                write(*,*) 'iso_surf>rosée 558: qevap=',qevap
-!                write(*,*) 'q1lay(i)=',q1lay(i)
-!                write(*,*) 'zxtice=',zxtice
-!                write(*,*) 'zxtliq=',zxtliq
+!                WRITE(*,*) 'iso_surf>rosée 558: qevap=',qevap
+!                WRITE(*,*) 'q1lay(i)=',q1lay(i)
+!                WRITE(*,*) 'zxtice=',zxtice
+!                WRITE(*,*) 'zxtliq=',zxtliq
 
     enddo !do ixt=1,niso  
@@ -2365,16 +2343,16 @@
 
 #ifdef ISOVERIF            
-    if (iso_HDO.gt.0) then
-!             write(*,*) 'iso_surf>rosée 571: deltaD1=',
+    if (iso_HDO.gt.0) THEN
+!             WRITE(*,*) 'iso_surf>rosée 571: deltaD1=',
 !     :                   deltaD(xt1lay(iso_HDO,i)/q1lay(i))
-!             write(*,*) 'deltaDcond=',
+!             WRITE(*,*) 'deltaDcond=',
 !     :                   deltaD(xtevap(iso_HDO,i)/evap(i))    
-    endif  !if (iso_HDO.gt.0) then
-    if (iso_eau.gt.0) then
+    endif  !if (iso_HDO.gt.0) THEN
+    if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xt1lay(iso_eau,i),q1lay(i), &
 &           'iso_surf>iso_rosee_givre 621',errmax,errmaxrel)
       CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
 &           'iso_surf>iso_rosee_givre 622',errmax,errmaxrel)
-    endif !if (iso_eau.gt.0) then
+    endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
       CALL iso_verif_tracnps(xtevap(1,i), &
@@ -2382,7 +2360,5 @@
 #endif              
 #endif            
-  endif !if (tsurf(i).ge.0.0) then 
-
-  
+  endif !if (tsurf(i).ge.0.0) THEN
   ! verif   
 #ifdef ISOVERIF
@@ -2393,42 +2369,41 @@
 #endif
 #ifdef ISOVERIF
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
 &           'iso_surf>iso_rosee_givre 3192',errmax,errmaxrel)
-    endif !if (iso_eau.gt.0) then
-    if (abs(evap(i)).gt.ridicule_rain) then
-      if (iso_HDO.gt.0) then                      
+    endif !if (iso_eau.gt.0) THEN
+    if (abs(evap(i)).gt.ridicule_rain) THEN
+      if (iso_HDO.gt.0) THEN
          if (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i),evap(i), &
-&           ridicule_rain,deltalim_snow,'iso_surf>iso_rosee_givre 3193').eq.1) then    
-                write(*,*) 'zxtalphai(iso_HDO)=',zxtalphai(iso_HDO)
-                write(*,*) 'deltaD1eff=',deltaD(xt1lay(iso_HDO,i)/q1lay(i))
-                write(*,*) 'tsurf(i)=',tsurf(i)
-                write(*,*) 'q1lay(i)=',q1lay(i)   
+&           ridicule_rain,deltalim_snow,'iso_surf>iso_rosee_givre 3193').eq.1) THEN
+                WRITE(*,*) 'zxtalphai(iso_HDO)=',zxtalphai(iso_HDO)
+                WRITE(*,*) 'deltaD1eff=',deltaD(xt1lay(iso_HDO,i)/q1lay(i))
+                WRITE(*,*) 'tsurf(i)=',tsurf(i)
+                WRITE(*,*) 'q1lay(i)=',q1lay(i)
                 !stop  
            endif !if (iso_verif_aberrant_nostop
-      endif  !if (iso_HDO.gt.0) then  
-      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+      endif  !if (iso_HDO.gt.0) THEN
+      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
         if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
 &            /evap(i),xtevap(iso_O18,i) &
-&            /evap(i),'iso_surf>iso_rosee_givre 713').eq.1) then
-          write(*,*) 'tsurf(i)-t_coup=',tsurf(i)-t_coup
-          write(*,*) 'deltaO18, O17excess, 1lay', &
+&            /evap(i),'iso_surf>iso_rosee_givre 713').eq.1) THEN
+          WRITE(*,*) 'tsurf(i)-t_coup=',tsurf(i)-t_coup
+          WRITE(*,*) 'deltaO18, O17excess, 1lay', &
 &                  deltaO(xt1lay(iso_O18,i)/q1lay(i)),o17excess( &
 &                  xt1lay(iso_O17,i)/q1lay(i), &
 &                  xt1lay(iso_O18,i)/q1lay(i)) 
-          write(*,*) 'zxtalphai(:)=',zxtalphai(:)
+          WRITE(*,*) 'zxtalphai(:)=',zxtalphai(:)
           stop
         endif
-      endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-    endif !if (evap(i).gt.ridicule_rain) then
+      endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    endif !if (evap(i).gt.ridicule_rain) THEN
 #endif
   ! end verif
 
-else !if (q1lay(i).gt.0) then
-    write(*,*) 'iso_surf>iso_rosee_givre 3189: evap=',evap(i)
-    write(*,*) 'q1lay(i)=',q1lay(i)
+else !if (q1lay(i).gt.0) THEN
+    WRITE(*,*) 'iso_surf>iso_rosee_givre 3189: evap=',evap(i)
+    WRITE(*,*) 'q1lay(i)=',q1lay(i)
     CALL abort_physic('isotopes_routines_mod', 'iso_surf 2416', 1)
-END IF !if (q1lay(i).gt.0) then
-
+END IF !if (q1lay(i).gt.0) THEN
 END SUBROUTINE  iso_rosee_givre
 
@@ -2559,15 +2534,15 @@
 #endif     
 #ifdef ISOVERIF
-!        write(*,*) 'stewart_explicite 50: entrée'
+!        WRITE(*,*) 'stewart_explicite 50: entrée'
 DO il=1,ncas
 IF (iso_verif_egalite_nostop(( &
 &           Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
-&          'stewart_explicite 37' ).eq.1) then
-  write(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
+&          'stewart_explicite 37' ).eq.1) THEN
+  WRITE(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
 &          il,Pqisup(il),Eqi(il),Pqiinf(il) 
   CALL abort_physic('isotopes_routines_mod', 'stewart 2554', 1)
 END IF !if (iso_verif_egalite
 END DO !do il=1,ncas
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
    do il=1,ncas   
    CALL iso_verif_egalite_choix((Pqisup(il)), &
@@ -2579,8 +2554,8 @@
 &          'stewart_explicite 58',errmax,errmaxrel)
    enddo !do il=1,ncas 
- endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+ endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
  
-!          write(*,*) 'stewart_explicite 88: Pqisup=',Pqisup
+!          WRITE(*,*) 'stewart_explicite 88: Pqisup=',Pqisup
  do il=1,ncas 
   Pqisup(il)=max(Pqisup(il),0.0)
@@ -2597,9 +2572,9 @@
 DO il=1,ncas ! ******************************
 
-!        write(*,*) 'stewart_explicite 78: il=',il
-!        write(*,*) 'stewart_explicite 112: Pqisup=',Pqisup
+!        WRITE(*,*) 'stewart_explicite 78: il=',il
+!        WRITE(*,*) 'stewart_explicite 112: Pqisup=',Pqisup
 !****** traitement rapide du cas sans pluie:
-IF (Pqisup(il).lt.ridicule**2) then
-!            write(*,*) 'stewart_explicit 96: cas pas de goutte'
+IF (Pqisup(il).lt.ridicule**2) THEN
+!            WRITE(*,*) 'stewart_explicit 96: cas pas de goutte'
     ! pas de pluie, pas de Pqiinf, pas de changement de vap
     ! cam verif
@@ -2608,10 +2583,10 @@
 #ifdef ISOVERIF
     if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) then
-        write(*,*) 'stewart_explicite 39'
-        write(*,*) 'Pqisup=',Pqisup(il)
-        write(*,*) 'Eqi=',Eqi(il)
-        write(*,*) 'Eqi*fac_ftmr=',Eqi(il)*fac_ftmr(il)
-        write(*,*) 'Pqiinf=',Pqiinf(il)
+&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+        WRITE(*,*) 'stewart_explicite 39'
+        WRITE(*,*) 'Pqisup=',Pqisup(il)
+        WRITE(*,*) 'Eqi=',Eqi(il)
+        WRITE(*,*) 'Eqi*fac_ftmr=',Eqi(il)*fac_ftmr(il)
+        WRITE(*,*) 'Pqiinf=',Pqiinf(il)
         stop
     endif     !if ((abs(Pqiinf).gt.ridicule)  
@@ -2621,5 +2596,5 @@
       Pxtiinf(ixt,il)=0.0
     enddo
-    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) then
+    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
         ! attention: pour des raisons obscures, il y a parfois
         ! de le réévaporation significative alors qu'il n'y a
@@ -2628,9 +2603,9 @@
         ! on suppose qu'elle ne change pas la composition
         ! isotopique de la vapeur. 
-        if (qp0(il).gt.ridicule) then
+        if (qp0(il).gt.ridicule) THEN
            do ixt=1,niso
            Rb0(ixt,il)=xtp0(ixt,il)/qp0(il)  
            enddo
-        else !if (qp0.gt.ridicule) then
+        else !if (qp0.gt.ridicule) THEN
            ! il n'y a pas encore de vapeur dans le ddft. On est
            ! très embétté, mais on se dit que le ddft sera
@@ -2639,13 +2614,13 @@
            Rb0(ixt,il)=0.0     
            enddo ! do ixt=1,niso
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
                 Rb0(iso_eau,il)=1.0
            endif
-        endif   !if (qp0.gt.ridicule) then
+        endif   !if (qp0.gt.ridicule) THEN
         do ixt=1,niso
          Exi(ixt,il)=Rb0(ixt,il)*Eqi(il)
          xtnew(ixt,il)=xtp0(ixt,il)+Exi(ixt,il)*fac_ftmr(il)
         enddo ! do ixt=1,niso
-    else !if (abs(Eqi*fac_ftmr).gt.ridicule) then
+    else !if (abs(Eqi*fac_ftmr).gt.ridicule) THEN
         ! ça va, tout est logique, tous les flux d'eau sont nuls
         do ixt=1,niso
@@ -2653,5 +2628,5 @@
           Exi(ixt,il)=0.0
         enddo !do ixt=1,niso
-    endif !if (abs(Eqi*fac_ftmr).gt.ridicule) then
+    endif !if (abs(Eqi*fac_ftmr).gt.ridicule) THEN
 #ifdef ISOVERIF
     do ixt=1,niso
@@ -2661,5 +2636,5 @@
 &             'stewart_explicite_vectall 220')
     enddo
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &              (Exi(iso_eau,il)*fac_ftmr(il)), &
@@ -2674,7 +2649,7 @@
 &                (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                'stewart_explicite 218',errmax*10,errmaxrel*50) 
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
        if ((iso_HDO.gt.0).and. &
-&           (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule)) then
+&           (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule)) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
@@ -2683,6 +2658,5 @@
 
 #endif              
-else !if (Pqisup.eq.0) then
-
+else !if (Pqisup.eq.0) THEN
 h(il)=qeff(il)/qs(il)       
 h(il)= MAX(MIN(h(il),1.0),0.0)
@@ -2695,6 +2669,6 @@
 ! en fait, tout reste pareil si h<1, car diff devient alors
 ! difficile
-IF ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) then
-!            write(*,*) 'stewart_explicite 137: cas pas d''évap'
+IF ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
+!            WRITE(*,*) 'stewart_explicite 137: cas pas d''évap'
 
     do ixt=1,niso
@@ -2714,5 +2688,5 @@
 #endif
 #ifdef ISOVERIF
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -2723,31 +2697,31 @@
 &              (Eqi(il)*fac_ftmr(il)), &
 &              'stewart_explicit 283',errmax*10,errmaxrel*10) &
-&              .eq.1) then
-        write(*,*) 'il=',il
-        write(*,*) 'Eqi(il)=',Eqi(il)
-        write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+&              .eq.1) THEN
+        WRITE(*,*) 'il=',il
+        WRITE(*,*) 'Eqi(il)=',Eqi(il)
+        WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
         stop
       endif
-      if (Pqiinf(il).gt.ridicule) then
+      if (Pqiinf(il).gt.ridicule) THEN
           CALL iso_verif_egalite_choix &
 &               ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &               1.,'stewart_explicite 143',errmax,errmaxrel)
-      endif !if (Pqiinf.gt.ridicule) then
-    endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-    if (iso_HDO.gt.0) then
-      if (Pqiinf(il).gt.ridicule_rain) then
+      endif !if (Pqiinf.gt.ridicule) THEN
+    endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+    if (iso_HDO.gt.0) THEN
+      if (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                'stewart_explicie 132')   
       endif   !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-      if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+      if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 268')
       endif !if ((iso_HDO.gt.0).and.
-    endif !if (iso_HDO.gt.0) then
-    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-           write(*,*) 'stewart_explicit 302: cas evap~0'
-           write(*,*) 'deltaDv est inchangé:',deltaD( &
+    endif !if (iso_HDO.gt.0) THEN
+    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+           WRITE(*,*) 'stewart_explicit 302: cas evap~0'
+           WRITE(*,*) 'deltaDv est inchangé:',deltaD( &
 &               (xtnew(iso_HDO,il)/(qp0(il) &
 &               +Eqi(il)*fac_ftmr(il))))
@@ -2756,10 +2730,9 @@
      ! end verif
 
- else !if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) then     
-
+ else !if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
 A(il)=wt(il)/deltaP(il)*fac_ftmr(il)
 m0(il)=max(Pqisup(il)*deltaP(il)/wt(il),0.0)
 m(il)=max(Pqiinf(il)*deltaP(il)/wt(il),0.0)      
-IF (qp0(il).gt.ridicule*1e-3)  then
+IF (qp0(il).gt.ridicule*1e-3)  THEN
   do ixt=1,niso
    Rb0(ixt,il)=xtp0(ixt,il)/qp0(il)
@@ -2769,20 +2742,20 @@
    Rb0(ixt,il)=0.0 
   enddo !do ixt=1,niso
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
       Rb0(iso_eau,il)=1.0
   endif
 END IF
-IF (Pqisup(il).gt.ridicule*1e-3) then
+IF (Pqisup(il).gt.ridicule*1e-3) THEN
   do ixt=1,niso  
    Rl0(ixt,il)=Pxtisup(ixt,il)/Pqisup(il)
   enddo !do ixt=1,niso 
-else ! if (Pqisup(il).gt.ridicule*1e-3) then
+else ! if (Pqisup(il).gt.ridicule*1e-3) THEN
   do ixt=1,niso  
    Rl0(ixt,il)=0.0
   enddo !do ixt=1,niso 
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
       Rl0(iso_eau,il)=1.0
   endif
-END IF ! if (Pqisup(il).gt.ridicule*1e-3) then
+END IF ! if (Pqisup(il).gt.ridicule*1e-3) THEN
 f(il)=m(il)/m0(il)    
 ! verifs
@@ -2794,5 +2767,5 @@
   CALL iso_verif_positif(1.0-(f(il)), &
 &        'stewart_explicite 373')        
-!          write(*,*) 'il,m0(il),m(il)=', il,m0(il),m(il)   
+!          WRITE(*,*) 'il,m0(il),m(il)=', il,m0(il),m(il)
   CALL iso_verif_positif((m0(il))- &
 &           (m(il)),'stewart explicite 123') 
@@ -2809,9 +2782,9 @@
 &          'stewart_explicit 357').eq.1).or.  &
 &          (iso_verif_noNaN_nostop((Rb0(ixt,il)), &
-&          'stewart_explicit 359').eq.1)) then
-    write(*,*) 'Pxtisup(ixt,il)=',Pxtisup(ixt,il)
-    write(*,*) 'Pqisup(il)',Pqisup(il)
-    write(*,*) 'xtp0(ixt,il)=',xtp0(ixt,il)
-    write(*,*) 'qp0(il)=',qp0(il)
+&          'stewart_explicit 359').eq.1)) THEN
+    WRITE(*,*) 'Pxtisup(ixt,il)=',Pxtisup(ixt,il)
+    WRITE(*,*) 'Pqisup(il)',Pqisup(il)
+    WRITE(*,*) 'xtp0(ixt,il)=',xtp0(ixt,il)
+    WRITE(*,*) 'qp0(il)=',qp0(il)
     stop
   endif !if ((iso_verif_noNaN_nostop
@@ -2819,5 +2792,5 @@
 #endif              
 #ifdef ISOVERIF
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
     CALL iso_verif_egalite_choix( &
 &           (xtp0(iso_eau,il)), &
@@ -2827,6 +2800,6 @@
 &           (Rb0(iso_eau,il)),1.0, &
 &           'stewart_explicit 136', &
-&           errmax*10,errmaxrel*10).eq.1) then
-       write(*,*) 'xtp0,qp0,Rb0=', &
+&           errmax*10,errmaxrel*10).eq.1) THEN
+       WRITE(*,*) 'xtp0,qp0,Rb0=', &
 &           xtp0(iso_eau,il),qp0(il),Rb0(iso_eau,il)
        stop
@@ -2837,14 +2810,14 @@
     if (iso_verif_egalite_choix_nostop( &
 &           (Rl0(iso_eau,il)),1.0, &
-&        'stewart_explicit 209',errmax,errmaxrel).eq.1) then
-      write(*,*) 'Pxtisup(iso_eau,il),Pqisup=', &
+&        'stewart_explicit 209',errmax,errmaxrel).eq.1) THEN
+      WRITE(*,*) 'Pxtisup(iso_eau,il),Pqisup=', &
 &                   Pxtisup(iso_eau,il),Pqisup(il)
       stop
     endif !if (iso_verif_egalite_choix_nostop(
     ! rajout verif 4 sept 2009
-    if (iso_HDO.gt.0) then
+    if (iso_HDO.gt.0) THEN
         CALL iso_verif_aberrant_choix(Rl0(iso_HDO,il)*Pqisup(il),Pqisup(il), &
 &                   ridicule_rain,deltalim_snow,'stewart_explicite 368')
-    endif !if (iso_HDO.gt.0) then
+    endif !if (iso_HDO.gt.0) THEN
   endif !(iso_eau.gt.0)
 #endif
@@ -2853,6 +2826,6 @@
         
 ! **** cas où m=0 <-> f=0
-IF ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) then
-    !write(*,*) 'stewart_explicit 137: cas f=0: il=',il
+IF ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) THEN
+    !WRITE(*,*) 'stewart_explicit 137: cas f=0: il=',il
   do ixt=1,niso 
     Pxtiinf(ixt,il)=0.0 ! plus rien ne ressors           
@@ -2874,5 +2847,5 @@
 &                   'stewart_explicite 271')
    enddo !do ixt=1,niso   
-   if (iso_eau.gt.0) then
+   if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -2887,24 +2860,23 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 229',errmax*10,errmaxrel*10)
-      if (Pqiinf(il).gt.ridicule) then
+      if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 143',errmax,errmaxrel)
-      endif !if (Pqiinf.gt.ridicule) then
-
+      endif !if (Pqiinf.gt.ridicule) THEN
       if (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 218',errmax*10,errmaxrel*50) &
-&                           .eq.1) then
-                write(*,*) 'xtnew=',xtnew(iso_eau,il)
-                write(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
-                write(*,*) 'Exi=',Exi(iso_eau,il)
-                write(*,*) 'Eqi(il)=',Eqi(il)
-                write(*,*) 'xtp0=',xtp0(iso_eau,il), &
+&                           .eq.1) THEN
+                WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
+                WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
+                WRITE(*,*) 'Exi=',Exi(iso_eau,il)
+                WRITE(*,*) 'Eqi(il)=',Eqi(il)
+                WRITE(*,*) 'xtp0=',xtp0(iso_eau,il), &
 &                     'qp0=',qp0(il)
-                write(*,*) 'Pxtisup=',Pxtisup(iso_eau,il), &
+                WRITE(*,*) 'Pxtisup=',Pxtisup(iso_eau,il), &
 &                   ' Pqisup=',pqisup(il)
-                write(*,*) 'Pxtiinf=',Pxtiinf(iso_eau,il), &
+                WRITE(*,*) 'Pxtiinf=',Pxtiinf(iso_eau,il), &
 &                   ' Pqiinf=',pqiinf(il)
                 stop
@@ -2915,26 +2887,24 @@
              !xtnew=qp0+Eqi*fac_ftmr
      endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau) 
-     if (iso_HDO.gt.0) then
-       if (Pqiinf(il).gt.ridicule_rain) then
+     if (iso_HDO.gt.0) THEN
+       if (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 224')   
        endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 420')
-       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
      endif !if (iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 442: tout se réévapore'
-         write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 442: tout se réévapore'
+         WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
      endif
 #endif
         ! end verifs                
-  else !if ((f.lt.errmaxrel).or.(Pqiinf.lt.errmax)) then
-            
-            
+  else !if ((f.lt.errmaxrel).or.(Pqiinf.lt.errmax)) THEN
 DO ixt=1,niso
 CALL FRACTCALK_liq(IXT, TEVAP(il), alphap(ixt,il))
@@ -2946,5 +2916,5 @@
 ! on remplace aussi le alpha en gama pour être plus précis
 IF ((h(il).gt.0.99).or. &
-&           (h(il).gt.0.98).and.(f(il).lt.1e-3)) then
+&           (h(il).gt.0.98).and.(f(il).lt.1e-3)) THEN
     do ixt=1,niso
     interm(ixt,il)=alphap(ixt,il)*(1.0-h(il)) &
@@ -2961,5 +2931,5 @@
     xtnew(ixt,il)=max(xtnew(ixt,il),0.0)
   enddo !do ixt=1,niso 
-  if (fac_ftmr(il).gt.0.0) then
+  if (fac_ftmr(il).gt.0.0) THEN
      do ixt=1,niso  
        Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
@@ -2982,5 +2952,5 @@
 &           'stewart_explicite 261')
     enddo !do ixt=1,niso
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &            (Rb(iso_eau,il)), &
@@ -2998,37 +2968,37 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 291',errmax*10,errmaxrel*10)
-        if (Pqiinf(il).gt.ridicule) then
+        if (Pqiinf(il).gt.ridicule) THEN
             CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 312',errmax,errmaxrel)
-         endif !if (Pqiinf.gt.ridicule) then
+         endif !if (Pqiinf.gt.ridicule) THEN
      endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau)  
       
-     if (iso_HDO.gt.0) then 
+     if (iso_HDO.gt.0) THEN
        if (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il), &
-&                ridicule_rain,deltalim_snow,'stewart_explicite 248').eq.1) then
-             write(*,*) 'cas reeq totale, il=',il
-             write(*,*) 'deltaDl0=',deltaD( &
+&                ridicule_rain,deltalim_snow,'stewart_explicite 248').eq.1) THEN
+             WRITE(*,*) 'cas reeq totale, il=',il
+             WRITE(*,*) 'deltaDl0=',deltaD( &
 &                   (Rl0(iso_hdo,il)))
-             write(*,*) 'deltaDb0=',deltaD( &
+             WRITE(*,*) 'deltaDb0=',deltaD( &
 &                   (Rb0(iso_hdo,il)))
-             write(*,*) 'deltaDb=',deltaD( & 
+             WRITE(*,*) 'deltaDb=',deltaD( &
 &                   (Rb(iso_hdo,il)))
              stop
        endif !if (iso_verif_aberrant_choix_nostop
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 499')
        endif !if ((iso_HDO.gt.0).and.
-     endif  !if (iso_HDO.gt.0) then
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 526: cas h~1: rééq'
-         write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+     endif  !if (iso_HDO.gt.0) THEN
+     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 526: cas h~1: rééq'
+         WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
-         write(*,*) 'deltaDv0,l0=',deltaD( &
+         WRITE(*,*) 'deltaDv0,l0=',deltaD( &
 &                   (Rb0(iso_hdo,il))),deltaD( &
 &                   (Rl0(iso_hdo,il)))
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) then
+     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
 #endif
     ! end verifs
@@ -3079,5 +3049,5 @@
 &           'stewart_explicite 397')
    enddo !do ixt=1,niso 
-   if (iso_eau.gt.0) then
+   if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &              (Pxtiinf(iso_eau,il)), &
